Unify and manage your data

Create a hierarchy

Learn more about how to use the Create hierarchy API to create a hierarchy and, optionally, its first version and first connection.

Use the Create a Hierarchy to create a hierarchy definition. If versioning is enabled, you can also create the initial hierarchy version and the first hierarchy connection in the same request. This operation requires the MDM.Data.Hierarchy permission with the CREATE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

The request body is a JSON array of connection definition objects.

FieldTypeRequiredDescription
typeStringYesThe hierarchy type name as defined in the business configuration.
nameStringYesThe name of the hierarchy.
hasVersioningBooleanNoIndicates whether the hierarchy is versioned.
versionObjectYes, if hasVersioning=trueThe object that describes the version to create.
nameStringNoThe name of the version.
effectiveStartDateStringNoOptional. The start effective date of the version in ISO 8601 date format.
effectiveEndDateStringNoOptional. The end effective date of the version in ISO 8601 date format.
descriptionStringNoOptional. The description of the version.
contextStringNoOptional. Additional context for the version.
firstConnectionObjectNoThe object that describes the first hierarchy connection to create.
parentIdStringYesThe entity ID of the parent object. Either the parent or the child must be part of the hierarchy being modified.
childIdStringYesThe entity ID of the child object. Either the parent or the child must be part of the hierarchy being modified.
startDateStringNoOptional. The start effective date of the connection in ISO 8601 date format.
endDateStringNoOptional. The end effective date of the connection in ISO 8601 date format.

Example request

Use the following example to see how a complete request is structured with headers.

POST /
Authorization: Bearer <token>

{
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Product Hierarchy",
  "hasVersioning": true,
  "version": {
    "name": "Version 1",
    "status": "ACTIVE",
    "effectiveStartDate": "2024-01-01",
    "effectiveEndDate": "2026-12-31",
    "description": "longDescription",
    "context": "longContextDescription"
  },
  "firstConnection": {
    "parentId": "prtId",
    "childId": "cldId",
    "startDate": "2024-01-01",
    "endDate": "2026-12-32"
  }
}

Response fields

The following table describes the fields returned in the response body, which is an array of hierarchy connection objects.

FieldTypeDescription
typeStringThe hierarchy type name as defined in the business configuration.
nameStringThe name of the hierarchy.
hasVersioningBooleanIndicates whether the hierarchy is versioned.
hierarchyIdStringThe ID of the created hierarchy.
instanceIdStringThe ID of the created hierarchy instance.
versionObjectOptional. The created hierarchy version.
versionIdStringThe ID of the created version.
nameStringThe name of the version.
statusStringOptional. The status of the version.
effectiveStartDateStringOptional. The start effective date of the version in ISO 8601 date format.
effectiveEndDateStringOptional. The end effective date of the version in ISO 8601 date format.
descriptionStringOptional. The description of the version.
contextStringOptional. Additional context for the version.
firstConnectionObjectOptional. The created first hierarchy connection.
connectionIdStringThe ID of the created connection.
parentIdStringThe entity ID of the parent object.
childIdStringThe entity ID of the child object.
startDateStringOptional. The start effective date of the connection in ISO 8601 date format.
endDateStringOptional. The end effective date of the connection in ISO 8601 date format.
createdByStringThe username of the user who created the hierarchy.
createdTimeStringThe time when the hierarchy was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the hierarchy.
updatedTimeStringThe time when the hierarchy was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Product Hierarchy",
  "hasVersioning": true,
  "hierarchyId": "0ABlc0A",
  "instanceId": "0ABlc0A.0ABlgGQ",
  "version": {
    "versionId": "0ABlgGQ",
    "name": "Version 1",
    "status": "ACTIVE",
    "effectiveStartDate": "2024-01-01",
    "effectiveEndDate": "2026-12-31",
    "description": "longDescription",
    "context": "longContextDescription"
  },
  "firstConnection": {
    "connectionId": "0ABmA6E",
    "parentId": "prtId",
    "childId": "cldId",
    "startDate": "2024-01-01",
    "endDate": "2026-12-32"
  },
  "createdBy": "email@reltio.com",
  "createdTime": "2025-04-01T13:30:00",
  "updatedBy": "email@reltio.com",
  "updatedTime": "2025-04-01T13:30:00"
}